/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  GLite Data IO Resolve Common module: Common GSOAP names Wrapper class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: common-gsoap-wrapper.hxx,v 1.1.1.1 2004/10/20 10:00:18 badino Exp $
 *  Release: $Name: glite-data-io-resolve-common_R_1_3_0_2 $
 *
 *  Revision history:
 *  $Log: common-gsoap-wrapper.hxx,v $
 *  Revision 1.1.1.1  2004/10/20 10:00:18  badino
 *  Import of GLite Data IO Resolve Common module v.0.0
 *
 *  
 *
 */

#ifndef GLITE_DATA_IO_RESOLVE_COMMON_COMMONGSOAPWRAPPER_HXX_
#define GLITE_DATA_IO_RESOLVE_COMMON_COMMONGSOAPWRAPPER_HXX_

/*
 * GSOAP Name Wrappers. This code is needed if you want to compile with 
 * GSOAP 2.3 and 2.6
 */
#if _GSOAP_WSDL2H_VERSION < 0x020600
#   ifndef GSOAP_RETVAL
#       define GSOAP_RETVAL(a) &a
#   endif
#   ifndef GSOAP_FIELDVAL
#       define GSOAP_FIELDVAL(a,b) a.b
#   endif
#else
#   ifndef GSOAP_RETVAL
#       define GSOAP_RETVAL(a) a
#   endif
#   ifndef GSOAP_FIELDVAL
#       define GSOAP_FIELDVAL(a,b) a->b
#   endif

#endif


#if _GSOAP_VERSION < 0x020600
/*
 *  GSOAP 2.3 specifics
 */
#else
/*
 *  GSOAP 2.6 specifics
 */
#endif

#endif //GLITE_DATA_IO_RESOLVE_COMMON_COMMONGSOAPWRAPPER_HXX_

